package Server.Cards;

import Server.Era;

public abstract class Card {
    private final int cardId;
    private final int forMinPlayer;
    private final Era era;

    public Card(int cardId, int forMinPlayer, Era era) {
        this.cardId = cardId;
        this.forMinPlayer = forMinPlayer;
        this.era = era;
    }

    public int getCardId() {
        return cardId;
    }

    public Era getEra() {
        return era;
    }

    public int getForMinPlayer() {
        return forMinPlayer;
    }

    @Override
    public String toString() {
        return "Card{" +
                "cardId=" + cardId +
                ", era=" + era +
                '}';
    }
}
